Summary: Kernel NFS daemon by H. J. Lu
Name: knfsd
Version: 981204
Release: 2
Group: Networking/Daemons
Copyright: GPL
Url: http://www.CSUA.Berkeley.EDU/~gam3/knfsd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.yggdrasil.com/private/hjl/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}.patch
Requires: %{name}-client-%{version}
BuildRoot: /var/tmp/%{name}-root

%description
This is the Linux kernel NFS daemon. It is based on linux-nfs 0.4.22.
It is tested on Linux/alpha and Linux/x86 running glibc 2.0.7.

****************************** WARNING ******************************

1. To use this package kernel must be compiled with kernel NFS server
   support. Please use Linux 2.1.130 or above.
2. This RPM is provided only as a convenience for keeping the system clean.
   It is not meant to be installed without thinking.
3. /etc/rc.d/init.d/{nfs,nfsfs} conflict with those provided by initscripts.
   Therefore you need to rename the two files from initscripts (if you 
   wish to preserve them) then use "rpm -Uvh --replacefiles" to 
   install knfsd RPM's.


%package client
Summary: Kernel NFS daemon by H. J. Lu, NFS client package
Group: Networking/Daemons

%description client
This package contains only rpc.kstatd and NFS client start-up script 
/etc/rc.d/init.d/nfsfs. They are enough to support reliable NFS locking
when the server side is running statd and lockd.


%prep
%setup -q
%patch -p1


%build
make OPT="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man8}
make install RPMROOT=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 etc/rc.nfsd  $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m755 etc/rc.nfsfs $RPM_BUILD_ROOT/etc/rc.d/init.d/nfsfs


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL KNOWNBUGS NEW README TAGS THANKS TODO
%config /etc/rc.d/init.d/nfs
/usr/sbin/kexportfs
/usr/sbin/knfsstat
/usr/sbin/knhfsstone
/usr/sbin/kshowmount
/usr/sbin/rpc.kmountd
/usr/sbin/rpc.knfsd
/usr/sbin/rpc.krquotad

%files client
%defattr(-,root,root)
%config /etc/rc.d/init.d/nfsfs
/usr/sbin/rpc.kstatd
/var/lib/nfs

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Feb 13 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to knfsd-981204-2
  Changed only /etc/rc.d/init.d/nfsfs which is reflected in the patch file.

* Thu Jan 14 1999 Hao Li <hli@wag.caltech.edu>
- First release knfsd-981204-1
